Skip to content
Start here

Update a custom page

client.zeroTrust.access.customPages.update(stringcustomPageID, CustomPageUpdateParams { account_id, custom_html, name, 2 more } params, RequestOptionsoptions?): CustomPageWithoutHTML { name, type, contract_version, 2 more }
PUT/accounts/{account_id}/access/custom_pages/{custom_page_id}

Update a custom page

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Custom Pages Write
ParametersExpand Collapse
customPageID: string

UUID.

maxLength36
params: CustomPageUpdateParams { account_id, custom_html, name, 2 more }
account_id: string

Path param: Identifier.

maxLength32
custom_html: string

Body param: Custom page HTML.

name: string

Body param: Custom page name.

type: "identity_denied" | "forbidden" | "login" | "interstitial"

Body param: Custom page type.

One of the following:
"identity_denied"
"forbidden"
"login"
"interstitial"
contract_version?: number

Body param: Contract version of the page’s Liquid template. Present (>= 1) marks a sanitized template; absent or 0 marks a legacy page served verbatim.

ReturnsExpand Collapse
CustomPageWithoutHTML { name, type, contract_version, 2 more }
name: string

Custom page name.

type: "identity_denied" | "forbidden" | "login" | "interstitial"

Custom page type.

One of the following:
"identity_denied"
"forbidden"
"login"
"interstitial"
contract_version?: number

Contract version of the page’s Liquid template. Present (>= 1) marks a sanitized template; absent or 0 marks a legacy page served verbatim.

uid?: string

UUID.

maxLength36
warnings?: Array<Warning>

Advisory validation findings returned when creating or updating a template. Omitted when empty.

message: string

Human-readable description of the finding.

tier: string

The validation tier that produced the finding (e.g. html, liquid).

ref?: string

Optional pointer to the part of the template the finding refers to.

Update a custom page

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const customPageWithoutHTML = await client.zeroTrust.access.customPages.update(
  'f174e90a-fafe-4643-bbbc-4a0ed4fc8415',
  {
    account_id: '023e105f4ecef8ad9ca31a8372d0c353',
    custom_html: '<html><body><h1>Access Denied</h1></body></html>',
    name: 'name',
    type: 'identity_denied',
  },
);

console.log(customPageWithoutHTML.uid);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "name",
    "type": "identity_denied",
    "app_count": 0,
    "contract_version": 0,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "updated_at": "2014-01-01T05:20:00.12345Z",
    "warnings": [
      {
        "message": "message",
        "tier": "tier",
        "ref": "ref"
      }
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "name",
    "type": "identity_denied",
    "app_count": 0,
    "contract_version": 0,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "updated_at": "2014-01-01T05:20:00.12345Z",
    "warnings": [
      {
        "message": "message",
        "tier": "tier",
        "ref": "ref"
      }
    ]
  }
}